<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/userloginroot"
    android:layout_width="fill_parent"
    android:layout_height="fill_parent"
    android:gravity="center_vertical"
    android:paddingLeft="20dp"
    android:paddingRight="20dp" >

    <!-- titlebar区域 -->

    <FrameLayout
        android:id="@+id/dk_head"
        android:layout_width="fill_parent"
        android:layout_height="54dp"
        android:layout_gravity="center_vertical"
        android:background="@drawable/bd_account_bg_top" >

        <ImageButton
            android:id="@+id/bd_login_account_back"
            android:layout_width="40dp"
            android:layout_height="40dp"
            android:layout_gravity="center_vertical|left"
            android:layout_marginLeft="5dp"
            android:background="@null"
            android:src="@drawable/dk_account_back_selsetor"
            android:visibility="gone" />

        <LinearLayout
            android:id="@+id/dk_login_bd_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:orientation="horizontal"
            android:visibility="gone" >

            <TextView
                android:id="@+id/dk_titlebar_text"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:gravity="center"
                android:textColor="@color/dk_color_000000"
                android:textSize="16sp" />
        </LinearLayout>

        <LinearLayout
            android:id="@+id/dk_login_common_title"
            android:layout_width="wrap_content"
            android:layout_height="fill_parent"
            android:layout_gravity="center"
            android:orientation="horizontal" >

            <RelativeLayout
                android:layout_width="wrap_content"
                android:layout_height="fill_parent" >

                <TextView
                    android:id="@+id/dk_baidu_account_text"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:layout_gravity="center_vertical"
                    android:textColor="@color/dk_color_000000"
                    android:textSize="16sp" />

                <LinearLayout
                    android:id="@+id/dk_baidu_account_line"
                    android:layout_width="wrap_content"
                    android:layout_height="1dp"
                    android:layout_alignLeft="@id/dk_baidu_account_text"
                    android:layout_alignParentBottom="true"
                    android:layout_alignRight="@id/dk_baidu_account_text"
                    android:background="@drawable/dk_bd_privider_blue"
                    android:orientation="horizontal" />
            </RelativeLayout>

            <LinearLayout
                android:layout_width="10dp"
                android:layout_height="wrap_content" >
            </LinearLayout>

            <RelativeLayout
                android:layout_width="wrap_content"
                android:layout_height="fill_parent" >

                <TextView
                    android:id="@+id/dk_other_account_text"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:layout_gravity="center_vertical"
                    android:textColor="@color/dk_color_000000"
                    android:textSize="16sp" />

                <LinearLayout
                    android:id="@+id/dk_other_account_line"
                    android:layout_width="wrap_content"
                    android:layout_height="1dp"
                    android:layout_alignLeft="@id/dk_other_account_text"
                    android:layout_alignParentBottom="true"
                    android:layout_alignRight="@id/dk_other_account_text"
                    android:background="@drawable/dk_bd_privider_blue"
                    android:orientation="horizontal" />
            </RelativeLayout>
        </LinearLayout>

        <FrameLayout
            android:layout_width="fill_parent"
            android:layout_height="fill_parent"
            android:layout_gravity="center_vertical" >

            <ImageView
                android:id="@+id/dk_close"
                android:layout_width="15dp"
                android:layout_height="15dp"
                android:layout_gravity="right|center_vertical"
                android:layout_marginRight="25dp" />

            <View
                android:id="@+id/dk_close_container"
                android:layout_width="35dp"
                android:layout_height="35dp"
                android:layout_gravity="right|center_vertical"
                android:background="@color/dk_transparent" />
        </FrameLayout>
    </FrameLayout>

    <RelativeLayout
        android:id="@+id/dk_baidu_login"
        android:layout_width="wrap_content"
        android:layout_height="350dp"
        android:layout_below="@id/dk_head"
        android:background="@drawable/bd_account_bg_bottom"
        android:visibility="visible" >

        <ScrollView
            android:layout_width="fill_parent"
            android:layout_height="fill_parent" >

            <LinearLayout
                android:id="@+id/dk_login_body"
                android:layout_width="fill_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:paddingLeft="20dp"
                android:paddingRight="20dp" >

                <LinearLayout
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:background="@drawable/bd_dialog_round_bg"
                    android:orientation="vertical" >

                    <FrameLayout
                        android:layout_width="fill_parent"
                        android:layout_height="48dp"
                        android:layout_gravity="center_vertical" >

                        <EditText
                            android:id="@+id/bd_account_input_edit"
                            android:layout_width="fill_parent"
                            android:layout_height="48dp"
                            android:background="@null"
                            android:gravity="center_vertical"
                            android:hint="@string/bd_account_input"
                            android:paddingLeft="10dp"
                            android:paddingRight="10dp"
                            android:singleLine="true"
                            android:textColorHint="@color/dk_color_999999"
                            android:textSize="14sp" />

                        <View
                            android:id="@+id/bd_account_pop_fold_unfold_container"
                            android:layout_width="68dp"
                            android:layout_height="36dp"
                            android:layout_gravity="right|center_vertical"
                            android:background="@color/dk_transparent" />

                        <ImageButton
                            android:id="@+id/bd_account_pop_fold_unfold"
                            android:layout_width="16dp"
                            android:layout_height="10dp"
                            android:layout_gravity="right|center_vertical"
                            android:layout_marginRight="8dp"
                            android:clickable="true" />
                    </FrameLayout>

                    <LinearLayout
                        android:layout_width="fill_parent"
                        android:layout_height="1dp"
                        android:layout_marginLeft="12dp"
                        android:layout_marginRight="12dp"
                        android:background="@drawable/dk_divide_line" >
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="fill_parent"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal" >

                        <FrameLayout
                            android:layout_width="fill_parent"
                            android:layout_height="48dp"
                            android:layout_gravity="center_vertical" >

                            <EditText
                                android:id="@+id/bd_pwd_input_edit"
                                android:layout_width="fill_parent"
                                android:layout_height="48dp"
                                android:background="@null"
                                android:gravity="center_vertical"
                                android:hint="@string/dk_pwd_login_hint"
                                android:inputType="textPassword"
                                android:paddingLeft="10dp"
                                android:paddingRight="10dp"
                                android:singleLine="true"
                                android:textColorHint="@color/dk_color_999999"
                                android:textSize="14sp" />
                        </FrameLayout>
                    </LinearLayout>
                </LinearLayout>

                <LinearLayout
                    android:id="@+id/account_verifycode_layout"
                    android:layout_width="fill_parent"
                    android:layout_height="48dp"
                    android:layout_gravity="center_vertical"
                    android:layout_marginTop="12.0dip"
                    android:background="@drawable/bd_dialog_round_bg"
                    android:orientation="horizontal"
                    android:visibility="gone" >

                    <LinearLayout
                        android:id="@+id/dk_bd_verify_input"
                        android:layout_width="fill_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:orientation="horizontal" >

                        <EditText
                            android:id="@+id/bd_verify_input_login_baidu_edit"
                            android:layout_width="fill_parent"
                            android:layout_height="48dp"
                            android:background="@null"
                            android:gravity="center_vertical"
                            android:hint="@string/dk_et_string_verifycode_hint"
                            android:paddingLeft="10dp"
                            android:singleLine="true"
                            android:textColorHint="@color/dk_color_999999"
                            android:textSize="14sp" />
                    </LinearLayout>

                    <RelativeLayout
                        android:id="@+id/dk_bd_verify_get"
                        android:layout_width="fill_parent"
                        android:layout_height="48dp"
                        android:layout_marginLeft="10.0dip"
                        android:layout_weight="1"
                        android:orientation="horizontal" >

                        <ImageButton
                            android:id="@+id/bd_verify_input_login_baidu"
                            android:layout_width="50dp"
                            android:layout_height="fill_parent"
                            android:layout_alignParentRight="true"
                            android:background="@null"
                            android:enabled="false"
                            android:src="@drawable/bd_selector_btn_refreshcode"
                            android:textColor="@color/dk_color_333333"
                            android:textSize="14sp" />

                        <ImageView
                            android:id="@+id/bd_verifycode_img"
                            android:layout_width="90dp"
                            android:layout_height="fill_parent"
                            android:layout_centerVertical="true"
                            android:layout_marginRight="20.0dip"
                            android:layout_toLeftOf="@+id/bd_verify_input_login_baidu"
                            android:gravity="center_vertical" />
                    </RelativeLayout>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:gravity="center_vertical"
                    android:orientation="horizontal"
                    android:visibility="visible" >

                    <LinearLayout
                        android:id="@+id/dk_login_remember_state"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content" >

                        <CheckBox
                            android:id="@+id/bd_user_login_checkbox"
                            android:layout_width="24dp"
                            android:layout_height="24dp"
                            android:layout_gravity="center_vertical"
                            android:layout_marginLeft="6dp"
                            android:button="@drawable/dk_login_checkbox_selector_2"
                            android:checked="true" />
                    </LinearLayout>

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="4dp"
                        android:gravity="center"
                        android:text="@string/dk_remember_login_state"
                        android:textColor="@color/dk_color_666666"
                        android:textSize="14sp" />

                    <View
                        android:layout_width="fill_parent"
                        android:layout_height="fill_parent"
                        android:layout_weight="1"
                        android:visibility="invisible" />

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:orientation="vertical" >

                        <Button
                            android:id="@+id/bd_btn_forgot_pwd"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:background="@drawable/dk_transparent"
                            android:singleLine="true"
                            android:text="@string/dk_forget_pwd_text"
                            android:textColor="@color/dk_color_666666"
                            android:textSize="14sp" />
                    </LinearLayout>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="15dp"
                    android:gravity="center"
                    android:orientation="horizontal" >

                    <Button
                        android:id="@+id/bd_btn_login"
                        android:layout_width="fill_parent"
                        android:layout_height="44dp"
                        android:background="@drawable/dk_yellow_btn_selector"
                        android:gravity="center"
                        android:text="@string/dk_login"
                        android:textColor="@color/dk_color_e4520b"
                        android:textSize="16sp" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:orientation="horizontal" >

                    <LinearLayout
                        android:id="@+id/bd_btn_register_phone"
                        android:layout_width="0dp"
                        android:layout_height="44dp"
                        android:layout_marginRight="4dp"
                        android:layout_marginTop="6dp"
                        android:layout_weight="1"
                        android:background="@drawable/dk_user_login_blue_selector"
                        android:gravity="center" >

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="44dp"
                            android:layout_marginLeft="3dp"
                            android:gravity="center"
                            android:text="@string/dk_register_phone"
                            android:textColor="@color/dk_gamesdk_white"
                            android:textSize="15sp" />
                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/bd_try_play"
                        android:layout_width="0dp"
                        android:layout_height="44dp"
                        android:layout_marginLeft="4dp"
                        android:layout_marginTop="6dp"
                        android:layout_weight="1"
                        android:background="@drawable/dk_user_login_brown_selector"
                        android:gravity="center" >

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="44dp"
                            android:layout_marginLeft="3dp"
                            android:gravity="center"
                            android:text="@string/dk_quick_play"
                            android:textColor="@color/dk_gamesdk_white"
                            android:textSize="15sp" />
                    </LinearLayout>
                </LinearLayout>

                <TextView
                    android:id="@+id/bd_btn_register"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="20dp"
                    android:gravity="center"
                    android:singleLine="true"
                    android:text="@string/dk_username_register"
                    android:textColor="@color/dk_color_297bf6"
                    android:textSize="15sp"
                    android:visibility="visible" />

                <LinearLayout
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="6dp"
                    android:visibility="gone" >

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/dk_phone_send_textmsg_default"
                        android:textColor="@color/dk_color_999999"
                        android:textSize="14sp" />
                </LinearLayout>
            </LinearLayout>
        </ScrollView>
    </RelativeLayout>

</RelativeLayout>